Quartz Composer Error

axlrecords's picture

Hi,

I experience the following error when I try to open the Library of Quartz Composer launched in 64bit:

0x86cbae20: -[NSView _drawRect:clip:] 0x86cb9938: -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] 0x86cb9ca2: -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] 0x86cb9ca2: -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] 0x86cb9ca2: -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] 0x86cb9ca2: -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] 0x86cb9ca2: -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] 0x86cb9ca2: -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] 0x86cb9ca2: -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] 0x86cb800a: -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] 0x86cb7b2c: -[NSThemeFrame _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] 0x86cb43de: -[NSView _displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] 0x86c2dc0e: -[NSView displayIfNeeded] 0x86bf5c3b: -[NSWindow _reallyDoOrderWindow:relativeTo:findKey:forCounter:force:isModal:] 0x86bf57d2: -[NSWindow orderWindow:relativeTo:] 0x86bf3154: -[NSWindow makeKeyAndOrderFront:] 0x0001aeaa 0x8719aa6b: -[NSToolbarButton sendAction:to:] 0x86e0a205: -[NSToolbarItemViewer mouseDown:] 0x86cf73a7: -[NSWindow sendEvent:] 0x86c2cafa: -[NSApplication sendEvent:] 0x0000a994 0x86bc36de: -[NSApplication run]

The library does not show any patches. I tried to delete the "com.apple.QuartzComposer.editor.plist" file, but I still get the same error. If I run in 32bit no error at all.

Any suggestion?

Thanx

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.

cybero's picture
Re: Quartz Composer Error

a] what version of OS X are you running?

b] which version of QC are you running?

c] have you tried reinstalling Xcode or depending upon the version of Xcode installed, downloaded the QC application that matches your installation of Xcode?

axlrecords's picture
Re: Quartz Composer Error

a) Mac OS X 10.6.8

b) Quartz Composer 4.0 (103.1)

c) X-Code 3.2.6. As far as I remember no reinstalling as been made on this machine. The only problem I experienced was when I upgrade the drivers of my 2 Blackmagic Intensity Pro cards, I was getting errors so I decide to get back to the old driver to solve the problem, I do not know if this can be an issue for the error I'm getting in Quartz. Also if I run a composition in 64 bit it render perfect, only if I'm try to open the library I'm getting the error.

Thanx

cybero's picture
Re: Quartz Composer Error

I would create two folders for the patches and the plugins in your Graphics folder like Quartz Composer Patches (Disabled) and put all 3rd party patches and plugins into their respective Disabled folders.

Then, so long as you aren't depending upon a 3rd party plug or patch, try and run the composition [posting that composition or a reduced version thereof would help].

If you need a patch or plugin to run the composition, then install that patch or plugin.

If the composition still doesn't load for you then I'd try reinstalling Quartz Composer from the installer package on your install disk.

There are threads a plenty with the sort of feedback you got and often it seems to require either an appropriately up to date version of a plugin to be installed.

The feedback you got can happen with all sorts of patches and plugins.

Just try putting "NSView _recursiveDisplayAllDirtyWithLockFocus:visRect" into the search bar and you'll find shed loads of posts with that sort of feedback.

axlrecords's picture
Re: Quartz Composer Error

Thank you very much Cybero, I did what you said about creating new (disabled) folders and I went trough my latest 3rd party plug installed. I found the one creating me the error, as you said it was a plug compatible for Mac OS 10.7 so it creates conflict with my OS 10.6. As soon as I remove it no error at all.

Thanx again.

cybero's picture
Re: Quartz Composer Error

You're welcome.

Sometimes such a simple methodical approach sorts out that type of problem.

Which plugin was it that caused the crashes by the way?

axlrecords's picture
Re: Quartz Composer Error

It was the "Climb JSON importer.plugin" from Climb App http://www.climbapp.com/plugin/jsonimporter/ is compatible with Mac OS X 10.7, the other plug from the same company works perfectly especially the Climb Window very usable.

Ciao